SDL_RemoveHintCallback(3)

NAME
SDL_RemoveHintCallback - Remove a function watching a particular hint.

SYNOPSIS
#include <SDL3/SDL_hints.h>

void SDL_RemoveHintCallback(const char *name,
                         SDL_HintCallback callback,
                         void *userdata);

FUNCTION PARAMETERS

name
    the hint being watched.

callback
    an SDL_HintCallback function that will be called when the hint value changes.

userdata
    a pointer being passed to the callback function.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_AddHintCallback(3)